﻿body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    background-color: #EFEFEF;
}
.body_site {
    background-color: #EFEFEF;
}
p {
    word-wrap: break-word;
    word-break: break-all;
}

.footer {
    padding-top: 5rem;
    padding-bottom: 5rem;
    background-color: #2c3e50;
    color: #fff;
}

.copyright {
    background-color: #1a252f;
}


#mainNav ul li a {
    font-size: 1.5rem;
}

#page-top {
    font-size: 1.2rem;
}

html, body {
    height: 100%;
}

.no-gutters {
    margin: 0 !important;
    padding: 0 !important;
}

#farm_main {
    position: relative;
    padding: 0;
}

    #farm_main > img {
        width: 100%;
        position: fixed;
        z-index: -100;
    }

#farm_header {
    top: 0;
    width: 100%;
    padding: 2rem;
    cursor: pointer;
    text-shadow: 0px 0px 3px rgba(255,255,255,0.51);
    display: flex;
    flex-direction: row;
}

#farm_content {
    margin: 6rem auto 0rem auto;
    width: 80%;
}

#main_content_sec {
    margin: 1rem;
    position: relative;
    width: 83%
}

#farm_main div a > img {
    width: 100%;
}

#farm_main #farm_header img {
    width: 30vw;
}

#farm_footer {
    background-color: #1a252f;
    background-size: contain;
    padding-right: 12px;
    padding-left: 12px;
}

    #farm_footer p {
        font-size: 14px;
        color: #c0c0c0;
        text-align: center;
        vertical-align: middle;
        margin-top: 1rem;
        margin-bottom: 1rem;
    }


#cow_header {
    margin: auto;
    background-color: #2c3e50;
    background-size: contain;
    height: auto;
    min-height: 120px;
    width: 100%;
    display: flex;
    flex-direction: row;
}

    .hearder_img img {
        width: 70%;
        min-width: 240px;
    }

.hearder_img1 {
    width: 100%;
}

    .hearder_img1 img {
        width: 35%;
    }

.menu_temp {
    background: url(./img/temp_6.png);
    background-repeat: no-repeat;
    background-size: 100%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu_disaster {
    background: url(./img/disaster_4.png);
    background-repeat: no-repeat;
    background-size: 100%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*#cow_content img {
    width: 100%;
}

.cow_content_ex {
    width: 100%;
    height: 42vh;
    min-height: 80%;
    padding: 2.5rem;
}

.cow_content_ex2 {
    width: 100%;
    height: 80vh;
    min-height: 80%;
    padding: 2.5rem;
}

.pig_content_ex3 {
    width: 100%;
    height: auto;
    min-height: 90vh;
    padding: 2.5rem;
}*/

#cow_content_fst {
    background-color: #51979B;
}

#cow_content_sec {
    background-color: #66B2B0;
}

.list_type {
    list-style: none;
    list-style-type: none;
    text-align: left;
    padding: 0 4rem;
}

    .list_type h1 {
        border-bottom: 1px white solid;
        font-size: 2.5rem;
        padding-bottom: 1rem;
        font-weight: bold;
    }

    .list_type li {
        font-size: 2rem;
        font-weight: bold;
    }

    .list_type a:link, a:visited {
        color: white;
    }

#cow_footer {
    background-color: #1a252f;
    width: 100%;
    height: auto;
    padding-right: 12px;
    padding-left: 12px;
}

    #cow_footer p {
        font-size: 14px;
        color: #c0c0c0;
        text-align: center;
        vertical-align: middle;
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
    }

.header_setting {
    margin-top: 5.5%;
    padding-top: 2%;
    padding-bottom: 2%;
}

.special-card {
    background-color: rgba(245, 245, 245, 0.2);
}
/*temp和disaster目錄標題*/
.scale {
    color: #454545 !important;
    text-decoration: none;
}

.scale :hover {
    transform: scale(1.5);
    transform-origin: left;
    -webkit-transform: scale(1);
    -moz-transform: scale(1.5);
    -o-transform: scale(1.5);
    -ms-transform: scale(1.5);
    color: #2689E0;
    transition: all 1s;
}
/*temp和disaster內頁標題*/
.scale2 {
    color: #454545 !important;
    text-decoration: none;
}

.scale2 :hover {
    transform: scale(1.4);
    -webkit-transform: scale(1);
    -moz-transform: scale(1.4);
    -o-transform: scale(1.4);
    -ms-transform: scale(1.4);
    color: #454545;
    transform-origin: 10px 10px;
    transition: all 1s;
}

.scale3 {
    color: #fff !important;
    text-decoration: none;
}

.scale3 :hover {
    transform: scale(1.5);
    -webkit-transform: scale(1);
    -moz-transform: scale(1.5);
    -o-transform: scale(1.5);
    -ms-transform: scale(1.5);
    color: #454545;
    transition: all 1s;
}

.title_site {
    font-size: 3vmax;
}

.bolder {
    font-weight: bolder;
}

.border_bottom_site {
    border-bottom: 1px #454545 solid;
    color: #454545;
}

@media screen and (max-width: 1300px) {
    .title_site {
        font-size: 38px;
    }

    .sub_title_site {
        font-size: 30px;
    }

    .sub_font_site {
        font-size: 24px;
    }

    .sub_font_site2 {
        font-size: 18px;
    }
}
.red_font {
    color: #FF3B3F;
    font-weight: bolder;
}

.footer_img_site {
    width: 40px !important;
    margin-left: 3vw;
    opacity: 0.3;
    transition: opacity 1s,transform 1s;
    transform: scale(1);
}

    .footer_img_site:hover {
        opacity: 1;
        transform: scale(1.05);
        transition: all 2s;
    }

.nav-link {
    color: #f8f9fa !important;
    font-size: 18px;
}
.dropdown-item_style{
    color: #212529 !important;
    font-size: 23px;
    padding: 0.1rem 1rem 0.1rem 6rem !important;
}

/* nav menu */
a.nav-link {
    font-size: 23px;
}

div.settings-content {
    min-height: calc(100vh - 120px);
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
}

div.settings-navbar {
    padding-top: 1rem;
    width: 16.6667%;
    font-size: 20px;
    background-color: #ddd
}

    div.settings-navbar div.separator {
        margin: 0.25rem auto;
    }

    div.settings-navbar > ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

    div.settings-navbar li {
        width: 100%;
        text-align: left;
    }

    div.settings-navbar div.menu-title {
        font-size: 28px;
        font-weight: bolder;
        padding-left: 1rem;
    }

div.separator {
    border-bottom: 1px #bbb solid;
    width: 100%;
    margin: auto;
}

li.section-title {
    padding: 0.1rem 1.75rem;
    font-size: 25px;
    display: flex;
    justify-content: start;
    align-items: center;
    font-weight: bold;
}

    li.section-title img.icon {
        width: 24px !important;
        height: 24px;
        margin-right: 0.5rem;
    }

/* home button in header */
div.main-container {
    margin: 0px;
    padding: 0px;
    min-height: calc(100vh - 120px);
    display: flex;
}

.farm_header {
    padding-left: 2rem;
    display: flex;
    flex-direction: row-reverse !important;
    justify-content: start;
    align-items: center;
    width: 50%;
}

/* filter menu */
table.filter-menu span {
    font-size: 23px;
}

table.filter-menu select {
    font-size: 20px;
}

table.filter-menu img.caret {
    width: 20px;
    height: 20px;
    transform: rotate(90deg);
}

table.filter-menu td.d-flex select {
    min-width: 189px;
    margin-right: 1rem;
}
/*內文編輯*/
.editor_style {
    width: 50vw;
}
.ck-content{
    height: 40vh;
    width: 50vw;
}
/*小路徑*/
.path-root {
    font-size: 23px !important;
    font-weight: bold;
}
/*temp和disaster*/
a {
    color: #454545;
    text-decoration: none;
}
/*.animal_titles {
    height: 100%;
    max-height: 200px;
    min-height: 200px;
    overflow-x: hidden;
    overflow-y: auto;
}*/
/*.animal_titles ul,*/
.ul_site {
    padding-inline-start: 0;
    list-style-type: none;
    height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    margin: 0;
}
/*.animal_titles ul .first,*/
.ul_site .first {
    position: sticky;
    top: 0;
    background-color: #efefef;
    z-index: 1984;
}
.separator {
    width: 80%;
    border-bottom: 1.5px #d9d9d9 solid;
    margin: 0.125rem auto;
}
.bg_main {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding: 0;
}
.main {
    flex-grow: 1;
    padding: 2% 0;
}
.main_container {
    width: 100%;
    max-width: 1024px;
    margin: auto;
}
.sub_font_title {
    border-bottom: 1px #454545 solid;
    color: #ffffff;
    text-shadow: 1px 1px 1px black;
    font-weight: bolder;
    font-size: 1.25rem;
    text-align: center;
    padding: 0.2em;
    background: rgba(50, 60, 85,0.9);
}
.sub_font_text {
    font-weight: bolder;
    font-size: 1rem;
    text-align: start;
    padding: 5px;
}
/*file:pdf、video web:temp、temp_content、disaster、disaster_content*/
.file_icon {
    width: 10%;
    margin: .6% 2% 1.5% 2%;
}
.mb1 {
    margin-bottom: 1%;
}
/*temp_content和disaster_content*/
.content-container {
    height: inherit;
    background-color: #EFEFEF;
    padding: 2% 0;
}

.sub_title_site {
    font-size: 1.5vmax;
    color: #454545;
    font-weight: bolder;
}

.sub_font_site {
    font-size: 1.2vmax;
    font-weight: bolder;
}

.sub_font_site_content {
    font-size: 1.1vmax;
    color: #031828;
    text-align: left;
    margin-top: 3vh
}

.nav-container {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}
.nav-background {
    background-color: #51979b;
    margin: 0;
    padding: 2% 0;
}
.nav-menu {
    background: url(./img/temp_6.png);
    background-repeat: no-repeat;
    background-size: 33.33vw;
    background-color: #51979b;
    position: sticky;
    top: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.nav-list {
    height: 65vh;
    box-sizing: border-box;
    overflow: hidden;
}
.nav-list-inner {
    width: 100%;
    height: 80%;
    box-sizing: content-box;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0;
}
.sub_font_site:hover {
    color: white;
}
div.left_bar_site {
    box-sizing: border-box;
    padding: 0;
    margin-bottom: 1rem;
}



/*調整滾動條和視窗上下間距的樣式*/
/*.animal_titles ul::-webkit-scrollbar-button {
    background: transparent;
}*/
/*調整滾動條背後區塊的樣式*/
/*.animal_titles ul::-webkit-scrollbar-track-piece {
    background: transparent;
}*/
/*調整滾動條的寬度.ul_site*/
.nav-list-inner::-webkit-scrollbar,
.ul_site::-webkit-scrollbar {
    width: 10px;
    border-radius: 10px;
    background-color: #F5F5F5;
}
/*調整滾動條軌道的樣式*/
.nav-list-inner::-webkit-scrollbar-track,
.ul_site::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.1);
    border-radius: 10px;
    background-color: #F5F5F5;
}
/*調整滾動條滑塊的樣式*/
.nav-list-inner::-webkit-scrollbar-thumb,
.ul_site::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #9a9a9a;
}

/*admin_page*/
.path-root {
    margin: 1rem auto;
    white-space: nowrap;
    padding: 0;
}
#lbl_currentPath {
    line-height: 2rem;
    font-size: 20px;
    color: #454545;
    font-weight: bolder;
    margin-left: 10px;
}